import { LitElement, TemplateResult } from 'lit';
import './item-preview-image';
import type { card } from './data/collections-to-highlight';
import './resources-highlights';
import type { CarouselCard } from './data/carousel-1';
import { Factoid } from './data/did-you-know';
import './dl-title';
import './dl-article';
import './header';
export declare class IaDemocracysLibrary extends LitElement {
    carousel1: CarouselCard[];
    didYouKnow: Factoid[];
    highlights: card[];
    availableResources: Record<string, []> | undefined;
    firstUpdated(): void;
    disconnectedCallback(): void;
    fetchAvailableResources(): Promise<void>;
    get factoids(): TemplateResult[];
    resourceCard(card: card, tintColor: 'yellow' | 'green' | 'blue' | 'black'): TemplateResult;
    carouselCard(card: CarouselCard, tintColor: 'yellow' | 'green' | 'blue' | undefined): TemplateResult;
    get topCarousel(): TemplateResult;
    get resourcesOptions(): TemplateResult;
    resourceSelected(e: Event): void;
    render(): TemplateResult<1>;
    static styles: import("lit").CSSResult;
}
